ru.bitel.bgbilling.modules.mps.server.bean

## Class FindContractUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.mps.server.bean.FindContractUtils

-     public class FindContractUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindContractUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `findContractByCerbercrypt(java.sql.Connection con, int mid, java.lang.String card)`
    `static int` | `findContractByEmail(java.sql.Connection con, java.lang.String email)`
    `static int` | `findContractByInetLogin(java.sql.Connection con, int moduleId, java.lang.String inetLogin)`
    `static int` | `findContractByLogin(java.sql.Connection con, int mid, java.lang.String login)`
    `static int` | `findContractByMPSLogin(java.sql.Connection con, int mid, java.lang.String _login)`
    `static int` | `findContractByParameter(java.sql.Connection con, int parameterId, java.lang.String value)`
    `static int` | `findContractByPhone(java.sql.Connection con, int mid, java.lang.String phone)`
    `static int` | `findContractByTitle(java.sql.Connection con, java.lang.String title)`
    `static int` | `findContractByVoice(java.sql.Connection con, int mid, java.lang.String phone)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindContractUtils

          public FindContractUtils()

  - ### Method Detail

    - #### findContractByParameter

          public static int findContractByParameter(java.sql.Connection con,
                                                    int parameterId,
                                                    java.lang.String value)
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### findContractByEmail

          public static int findContractByEmail(java.sql.Connection con,
                                                java.lang.String email)

    - #### findContractByLogin

          public static int findContractByLogin(java.sql.Connection con,
                                                int mid,
                                                java.lang.String login)

    - #### findContractByVoice

          public static int findContractByVoice(java.sql.Connection con,
                                                int mid,
                                                java.lang.String phone)

    - #### findContractByPhone

          public static int findContractByPhone(java.sql.Connection con,
                                                int mid,
                                                java.lang.String phone)

    - #### findContractByTitle

          public static int findContractByTitle(java.sql.Connection con,
                                                java.lang.String title)

    - #### findContractByCerbercrypt

          public static int findContractByCerbercrypt(java.sql.Connection con,
                                                      int mid,
                                                      java.lang.String card)

    - #### findContractByMPSLogin

          public static int findContractByMPSLogin(java.sql.Connection con,
                                                   int mid,
                                                   java.lang.String _login)

    - #### findContractByInetLogin

          public static int findContractByInetLogin(java.sql.Connection con,
                                                    int moduleId,
                                                    java.lang.String inetLogin)
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`